# Uses of Interface
ch.qos.logback.core.joran.spi.RuleStore

Packages that use RuleStore
Package
Description
ch.qos.logback.access.joran
Contains the Joran configration classes
ch.qos.logback.access.sift
ch.qos.logback.classic.joran
Contains Joran configuration classes.
ch.qos.logback.classic.sift
ch.qos.logback.core.joran
Contains Joran configuration classes.
ch.qos.logback.core.joran.spi
ch.qos.logback.core.sift

## Uses of RuleStore in ch.qos.logback.access.joran

Methods in ch.qos.logback.access.joran with parameters of type RuleStore
Modifier and Type
Method
Description
`void`
JoranConfigurator.`addInstanceRules(RuleStore rs)`

## Uses of RuleStore in ch.qos.logback.access.sift

Methods in ch.qos.logback.access.sift with parameters of type RuleStore
Modifier and Type
Method
Description
`protected void`
SiftingJoranConfigurator.`addInstanceRules(RuleStore rs)`

## Uses of RuleStore in ch.qos.logback.classic.joran

Methods in ch.qos.logback.classic.joran with parameters of type RuleStore
Modifier and Type
Method
Description
`void`
JoranConfigurator.`addInstanceRules(RuleStore rs)`

## Uses of RuleStore in ch.qos.logback.classic.sift

Methods in ch.qos.logback.classic.sift with parameters of type RuleStore
Modifier and Type
Method
Description
`protected void`
SiftingJoranConfigurator.`addInstanceRules(RuleStore rs)`

## Uses of RuleStore in ch.qos.logback.core.joran

Methods in ch.qos.logback.core.joran with parameters of type RuleStore
Modifier and Type
Method
Description
`protected abstract void`
GenericConfigurator.`addInstanceRules(RuleStore rs)`
`protected void`
JoranConfiguratorBase.`addInstanceRules(RuleStore rs)`

## Uses of RuleStore in ch.qos.logback.core.joran.spi

Classes in ch.qos.logback.core.joran.spi that implement RuleStore
Modifier and Type
Class
Description
`class`
`SimpleRuleStore`
This class implements the `RuleStore` interface.
Methods in ch.qos.logback.core.joran.spi that return RuleStore
Modifier and Type
Method
Description
`RuleStore`
Interpreter.`getRuleStore()`
Constructors in ch.qos.logback.core.joran.spi with parameters of type RuleStore
Modifier
Constructor
Description
``
`Interpreter(Context context, RuleStore rs, ElementPath initialElementPath)`

## Uses of RuleStore in ch.qos.logback.core.sift

Methods in ch.qos.logback.core.sift with parameters of type RuleStore
Modifier and Type
Method
Description
`protected void`
SiftingJoranConfiguratorBase.`addInstanceRules(RuleStore rs)`